package com.mdd.admin.validate.log;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("验证码记录搜素参数")
public class CodeLogSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("卡ID")
   private Integer cardId;
   @ApiModelProperty("卡ids")
   private String cardIds;
   @ApiModelProperty("订单ids")
   private String orderIds;
   @ApiModelProperty("订单id")
   private Integer orderId;
   @ApiModelProperty("5001=短信，6001=邮箱，7001=pin")
   private Integer progress;
   @ApiModelProperty("验证码")
   private String otp;

   public Integer getCardId() {
      return this.cardId;
   }

   public String getCardIds() {
      return this.cardIds;
   }

   public String getOrderIds() {
      return this.orderIds;
   }

   public Integer getOrderId() {
      return this.orderId;
   }

   public Integer getProgress() {
      return this.progress;
   }

   public String getOtp() {
      return this.otp;
   }

   public void setCardId(Integer cardId) {
      this.cardId = cardId;
   }

   public void setCardIds(String cardIds) {
      this.cardIds = cardIds;
   }

   public void setOrderIds(String orderIds) {
      this.orderIds = orderIds;
   }

   public void setOrderId(Integer orderId) {
      this.orderId = orderId;
   }

   public void setProgress(Integer progress) {
      this.progress = progress;
   }

   public void setOtp(String otp) {
      this.otp = otp;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof CodeLogSearchValidate)) {
         return false;
      } else {
         CodeLogSearchValidate other = (CodeLogSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$cardId = this.getCardId();
            Object other$cardId = other.getCardId();
            if (this$cardId == null) {
               if (other$cardId != null) {
                  return false;
               }
            } else if (!this$cardId.equals(other$cardId)) {
               return false;
            }

            Object this$orderId = this.getOrderId();
            Object other$orderId = other.getOrderId();
            if (this$orderId == null) {
               if (other$orderId != null) {
                  return false;
               }
            } else if (!this$orderId.equals(other$orderId)) {
               return false;
            }

            Object this$progress = this.getProgress();
            Object other$progress = other.getProgress();
            if (this$progress == null) {
               if (other$progress != null) {
                  return false;
               }
            } else if (!this$progress.equals(other$progress)) {
               return false;
            }

            label62: {
               Object this$cardIds = this.getCardIds();
               Object other$cardIds = other.getCardIds();
               if (this$cardIds == null) {
                  if (other$cardIds == null) {
                     break label62;
                  }
               } else if (this$cardIds.equals(other$cardIds)) {
                  break label62;
               }

               return false;
            }

            label55: {
               Object this$orderIds = this.getOrderIds();
               Object other$orderIds = other.getOrderIds();
               if (this$orderIds == null) {
                  if (other$orderIds == null) {
                     break label55;
                  }
               } else if (this$orderIds.equals(other$orderIds)) {
                  break label55;
               }

               return false;
            }

            Object this$otp = this.getOtp();
            Object other$otp = other.getOtp();
            if (this$otp == null) {
               if (other$otp != null) {
                  return false;
               }
            } else if (!this$otp.equals(other$otp)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof CodeLogSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $cardId = this.getCardId();
      result = result * 59 + ($cardId == null ? 43 : $cardId.hashCode());
      Object $orderId = this.getOrderId();
      result = result * 59 + ($orderId == null ? 43 : $orderId.hashCode());
      Object $progress = this.getProgress();
      result = result * 59 + ($progress == null ? 43 : $progress.hashCode());
      Object $cardIds = this.getCardIds();
      result = result * 59 + ($cardIds == null ? 43 : $cardIds.hashCode());
      Object $orderIds = this.getOrderIds();
      result = result * 59 + ($orderIds == null ? 43 : $orderIds.hashCode());
      Object $otp = this.getOtp();
      result = result * 59 + ($otp == null ? 43 : $otp.hashCode());
      return result;
   }

   public String toString() {
      return "CodeLogSearchValidate(cardId=" + this.getCardId() + ", cardIds=" + this.getCardIds() + ", orderIds=" + this.getOrderIds() + ", orderId=" + this.getOrderId() + ", progress=" + this.getProgress() + ", otp=" + this.getOtp() + ")";
   }
}
